/*
	--------------------------------------------------------------------------------
	Web URL:  http://t.qq.com/k1nader
	E-M@IL: mailto: jon.ray@qq.com
	-------------------------------------------------------------------------------- 
*/

#include <amxmodx>
#include <amxmisc>
#include <tortoise>

#define PLUGIN	"BlockCommand plus"
#define VERSION	"1.0"
#define AUTHOR	"k1nader"
#define LOADING	"^n^t%s v%s, Copyright (C) 2013 by %s^n"

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR);
	server_print(LOADING, PLUGIN, VERSION, AUTHOR);
	// Add your code here...
}

public plugin_cfg()
{
	static configsdir[32], file[64], buf[64], printmsg[2][128], line, len, addline;
	line = 0;
	get_configsdir(configsdir, charsmax(configsdir));
	formatex(file, charsmax(file), "%s/BlockCommand.ini", configsdir);
	if(file_exists(file))
	{
		addline = 0;
		while(read_file(file, line++, buf, charsmax(buf), len))
		{
			trim(buf);
			
			if(strlen(buf) > 0)
			{
				if(buf[0] == 0xFFFFFFEF && buf[1] == 0xFFFFFFBB && buf[2] == 0xFFFFFFBF)
					copy(buf, charsmax(buf), buf[3]);
				
				if(buf[0] == ';')
					continue;
				
				BlockCommand(buf);
				addline++;
			}
		}
		if(addline == 0)
		{
			formatex(printmsg[0], charsmax(printmsg[]), "当前未添加任何屏蔽的命令。");
			UTF8ToANSI(printmsg[1], charsmax(printmsg[]), printmsg[0]);
			server_print(printmsg[1]);
		}
		else
		{
			formatex(printmsg[0], charsmax(printmsg[]), "一共屏蔽 (%d) 个命令。", addline);
			UTF8ToANSI(printmsg[1], charsmax(printmsg[]), printmsg[0]);
			server_print(printmsg[1]);
		}
	}
	else
	{
		formatex(printmsg[0], charsmax(printmsg[]), "未找到文件：%s", file);
		UTF8ToANSI(printmsg[1], charsmax(printmsg[]), printmsg[0]);
		server_print(printmsg[1]);
		write_file(file, "; 请在此添加需要屏蔽的命令");
	}
}